Providers

Get my provider

Your wallet's provider profile.

GET/v1/providers/me

Returns your Provider. 404 not_found if this wallet has not registered.

Headers

Authorizationstringrequired

Bearer fb_live_…. An API key created in the app. A browser session cookie also works. See Authentication.

Request
curl https://dapp.filobook.run/v1/providers/me \
  -H "Authorization: Bearer $FILOBOOK_KEY"
Response · 200
{
  "id": "prv_3a7f20c9e4b1",
  "name": "example-feeds",
  "address": "0xf03bd21fc26cc0def8ce780d74fef2a1880525f5",
  "endpoint_url": "https://feeds.example.com/x402/quote",
  "types": ["market_data", "dataset"],
  "active": true,
  "quotes_won": 0,
  "created_at": "2026-11-13T08:55:00.000Z"
}
Was this page helpful?